System Requirements

Updated 20 September 2021

The “Computer and Mobile Device Management” section has been updated to add iOS 15.x, iPadOS 15.x, and tvOS 15.x as Recommended compatibility.

Changes in Jamf Pro 10.32.0

Web Browsers: Support for Internet Explorer 11 has been discontinued.

Levels of Compatibility

The following table provides descriptions of the levels of compatibility for Jamf Pro testing and product issue support:

Compatibility LevelTestingProduct Issue Support

Recommended

Full compatibility

Jamf targets development and testing resources to configurations at this level.

Full

Jamf is committed to fixing product issues that arise at this level.

Minimum Supported

High compatibility

Most configurations at this level were previously recommended and are likely to work.

Partial

Jamf will attempt to fix product issues that arise at this level.

Computer and Mobile Device Management Only

Untested

Limited compatibility

Management is not actively removed, and computers and mobile devices should continue to be managed after upgrading Jamf Pro. Some features may not be available or may no longer work.

None

Jamf will not fix product issues that arise at this level.

Support Removed

No compatibility

Management capabilities are actively removed, and most computers and mobile devices can no longer be managed after upgrading Jamf Pro.

None

Jamf will not fix product issues that arise at this level.

Computer and Mobile Device Management

Jamf Pro compatibility with Apple operating system (OS) releases for computer and mobile device management is generally based on an N-3 support policy. This means that Jamf Pro will support the current major version ("N") and the three previous major versions ("-3") within either the Recommended or Minimum Supported compatibility levels. When a new Apple OS version is made available and added to Recommended, the oldest release will be moved from the Minimum Supported to Untested level.

The following table lists Apple OS compatibility requirements for managed computers and mobile devices:

macOS1iOSiPadOStvOS

Recommended

macOS 11.x

iOS 15.x

iPadOS 15.x

tvOS 15.x

iOS 14.x

iPadOS 14.x

tvOS 14.x

Minimum Supported

macOS 10.15.x

iOS 13.x

iPadOS 13.x

tvOS 13.x

macOS 10.14.x

iOS 12.x

tvOS 12.x

macOS 10.13.x

iOS 11.x

tvOS 11.x

Untested2,3

macOS 10.12.x

iOS 10.x3

macOS 10.11.x

iOS 9.x

macOS 10.10.x

iOS 8.x

Support Removed

macOS 10.9.x and earlier

iOS 7.x and earlier

tvOS 9.x and earlier

1 Also indicates macOS versions required to run Composer on Mac computers.

2 It is strongly recommended that you test management workflows in a non-production environment prior to upgrading Jamf Pro.

3 Legacy versions of the Jamf management framework and Jamf Self Service will be installed on devices at this level. For more information, see the following sections in the Jamf Pro Administrator's Guide:

Web Browsers

The following table lists the browser requirements for enrollment and access to web applications:

macOSiOSWindowsLinux

Recommended

Safari

Safari

Chrome

Minimum Supported

Chrome

Firefox

Chrome

Firefox

Microsoft Edge

Jamf Pro Server Environment

The following table lists the server and related services requirements for Jamf Pro on-premise environments and the Jamf Pro installers.

ServerOS1Database ConfigurationJava

Recommended

  • Windows Server 2019

  • Ubuntu Server 20.04 LTS

  • Red Hat Enterprise Linux 7.x

  • MySQL 8.0 – InnoDB2,3

  • Amazon Aurora (MySQL 5.7 compatible)

  • MySQL 5.7.8 or later – InnoDB2

OpenJDK 11

Minimum Supported

  • Windows Server 2016

  • Windows Server 2012 R2

  • Ubuntu Server 18.04 LTS

  • macOS 10.154,5

  • macOS 10.144,5

  • MySQL 5.7.8 – InnoDB2

  • MySQL 5.7.8 on Amazon RDS – InnoDB

Oracle Java 11

1 All compatible operating systems are 64-bit only.

2 The Jamf Pro database does not support MySQL clustering.

3 Hosting Jamf Pro databases with MySQL 8.0 on Amazon RDS is not currently supported.

4 macOS is not recommended for clustered environments.

5 Support for using the Jamf Pro Installer for macOS will be discontinued in a future release (estimated removal date: March 2022).

Tomcat Version Installed

Tomcat 8.5.68 is included in the Jamf Pro installers for this release. For a historical list of the Tomcat versions installed with each release, see the Apache Tomcat Versions Installed by the Jamf Pro Installer article.